com.jogamp.gluegen.cgram.types

## Class StructType

- java.lang.Object
- - com.jogamp.gluegen.cgram.types.Type
  - - com.jogamp.gluegen.cgram.types.MemoryLayoutType
    - - com.jogamp.gluegen.cgram.types.CompoundType
      - - com.jogamp.gluegen.cgram.types.StructType

- All Implemented Interfaces:
    Cloneable

      public class StructType
      extends CompoundType

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructType(String name, SizeThunk size, int cvAttributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object arg)` Equality test for Types.
    `boolean` | `isStruct()` Indicates whether this type was declared as a struct.
    `boolean` | `isUnion()` Indicates whether this type was declared as a union.

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.CompoundType

      `addField, asCompound, clone, create, getField, getNumFields, getStructName, getStructString, hashCode, setBodyParsed, setSize, setStructName, toString, visit`

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.MemoryLayoutType

      `isLayouted, setLayouted`

    - ### Methods inherited from class com.jogamp.gluegen.cgram.types.Type

      `arrayDimension, asArray, asBit, asDouble, asEnum, asFloat, asFunction, asInt, asPointer, asVoid, getBaseElementType, getCVAttributes, getCVAttributesString, getCVVariant, getDebugString, getName, getName, getSize, getSize, hasTypedefName, isArray, isBit, isCompound, isConst, isDouble, isEnum, isFloat, isFunction, isFunctionPointer, isInt, isPointer, isPrimitive, isVoid, isVolatile, pointerDepth, setName`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StructType

          public StructType(String name,
                    SizeThunk size,
                    int cvAttributes)

  - ### Method Detail

    - #### equals

          public boolean equals(Object arg)

      Description copied from class: `Type`
      Equality test for Types.
      Overrides:
        `equals` in class `CompoundType`

    - #### isStruct

          public final boolean isStruct()

      Description copied from class: `CompoundType`
      Indicates whether this type was declared as a struct.
      Specified by:
        `isStruct` in class `CompoundType`

    - #### isUnion

          public final boolean isUnion()

      Description copied from class: `CompoundType`
      Indicates whether this type was declared as a union.
      Specified by:
        `isUnion` in class `CompoundType`